Bug 966339 - "admin" group has no owners by default
"admin" group has no owners by default
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: general (Show other bugs)
0.13
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.16.2
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 01:50 EDT by Dan Callaghan
Modified: 2014-04-28 19:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-28 19:00:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-23 01:50:45 EDT
Now that Beaker has the notion of "group owners", most groups are expected to always have at least one owner (apart from legacy groups that existed prior to upgrading). But by default the "admin" group is created by beaker-init with no owners.

When beaker-init creates the first user account and adds it to the "admin" group, it should make them an owner of the "admin" group too. That way, for all new installs, the "admin" group will have an owner.
Comment 1 Dan Callaghan 2014-03-30 23:16:02 EDT
On Gerrit: http://gerrit.beaker-project.org/2990
Comment 4 Dan Callaghan 2014-04-28 19:00:31 EDT
Beaker 0.16.2 has been released.

Note You need to log in before you can comment on or make changes to this bug.